### Virtual Method

# Ide TreeAddin build_node

#### Declaration

    void
    build_node (
      IdeTreeAddin* self,
      IdeTreeNode* node
    )

#### Description

This function is called when preparing a node for display in the tree.

Addins should adjust any state on the node that makes sense based on the addin.

You may want to use `ide_tree_node_holds()` to determine if the node contains an item that you are interested in.

Available since: | 3.32

#### Parameters

`node` | `IdeTreeNode`
| A `IdeTreeNode`.
| The data is owned by the caller of the function.